Bug 1664457 - samples operator adjust to https://github.com/openshift/cluster-version-operator/pull/73
Summary: samples operator adjust to https://github.com/openshift/cluster-version-opera...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.1.0
Assignee: Gabe Montero
QA Contact: XiuJuan Wang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-08 21:19 UTC by Gabe Montero
Modified: 2019-06-04 10:41 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2019-06-04 10:41:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:41:49 UTC

Description Gabe Montero 2019-01-08 21:19:12 UTC
Tweak the cluster operator obj messages per updates to the doc in the summary

See https://github.com/openshift/cluster-samples-operator/pull/70#discussion_r244821629 for probably changes

Comment 1 Gabe Montero 2019-01-09 20:39:54 UTC
Also, in reading the new https://github.com/openshift/cluster-version-operator/blob/master/docs/dev/clusteroperator.md#conditions

It has:  "If an error blocks reaching 4.0.1, the conditions might be ..... Progressing is true with message Unable to apply 4.0.1: a required object is missing"

That also lines up with my read of the godoc that we added as a reference.

That will require a tweak to the current logic as well.

Comment 2 Gabe Montero 2019-01-10 20:06:51 UTC
PR https://github.com/openshift/cluster-samples-operator/pull/76 is up

Comment 3 Gabe Montero 2019-01-11 14:30:04 UTC
PR has merged

@XiuJuan Wang - I updated the QE card for this space, https://jira.coreos.com/browse/DEVEXP-175 .... given the churn we've
had on the dev side since you first were asked to test this, we need to update the test cases.

Hopefully in re-reviewing those, I can answer any clarification question you may have wrt https://github.com/openshift/cluster-version-operator/blob/master/docs/dev/clusteroperator.md#conditions
and what I did for the samples operator around https://github.com/openshift/cluster-samples-operator/pull/76

Comment 4 XiuJuan Wang 2019-01-22 03:44:55 UTC
This change works well with 4.0.0-0.alpha-2019-01-20-082408

Comment 7 errata-xmlrpc 2019-06-04 10:41:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.